Subject: [Sip-security] RE: [Sipping] SIP authentication problem when using RES in Digest -AKA

From: "Vesa Torvinen (LMF)" <[email-masked]>
Date: Fri, 15 Mar 2002 09:28:53 +0100

> At 08:16 AM 3/15/2002 +0200, Jari Arkko wrote:
> >Thanks for an interesting describing this interesting 
> attack! I believe
> >while making draft-niemi the authors have been assuming that 
> we do not
> >use the GSM compatibility mode (which I believe is the 
> reason why the RES
> >could be only 32 bits). That is, when full AKA is used this 
> isn't a problem.
> 
> Regrettably, this is not correct. RES could be as little as 
> 32 bits *even 
> in full AKA*.

If this is the case, I suppose that RES could still be used as 'keying material' for Digest. There must be some schemes in which a 'short user password' is made longer or more secure. 

> >So, we could either
> >
> >(1) Require the full use of AKA
> >(2) Switch to using IK and not RES as input in the Digest process
> 
> IK is the obvious (to me) candidate.

IK is not very good candidate if you don't want to change the existing security architecture in 3GPP IP multimedia system (IMS). IK is currently used for integrity protection between the UE and the visited network, and if the same key is also used for authentication to the home network, the visited network will be able to register any user it wants. Currently, IK is available to the visited network before the UE has even received the challenge. So, the visited network could just 'order' authentication keys from any home network, and initiate registrations and calls for any user. If we would go for IK, we must re-design the IMS security architecture. 

> >Greg, is the IK free of similar limitations when GSM compatibility
> >is used?
> 
> If I understand your question correctly -- yes. IK is always 128 bits 
> coming out of the USIM, even if it is subsequently "dumbed 
> down" for GSM 
> compatibility (which should never happen in anything capable 
> of packet data 
> and IMS). When a *GSM SIM* is used, you will only get out a 
> 64-bit K_c, but 
> even that is a lot better than a 32-bit RES.
> 
> regards,
> Greg.
> 
> Greg Rose                                       INTERNET: 
> [email-masked]
> Qualcomm Australia          VOICE:  +61-2-9817 4188   FAX: 
> +61-2-9817 5199
> Level 3, 230 Victoria Road,                
> http://people.qualcomm.com/ggr/
> Gladesville NSW 2111    232B 
> EC8F 44C6 C853 D68F  E107 E6BF CD2F 1081 A37C
> 

_______________________________________________
Sip-security mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sip-security